Request
Endpoint: !UpdateUserOvCallback
https://secure.trust-provider.com/products/!UpdateUserOvCallback
Use the POST method for this endpoint.
Submit parameters in the x-www-form-urlencoded format.
Request parameters
The following table lists the required, optional, and conditional parameters.
| Parameter | Requirement | Type | Max.Length | Description |
|---|---|---|---|---|
|
required |
string |
64 chars |
The account username. This value is case sensitive. |
|
required |
string |
128 chars |
The account password. This value is case sensitive. |
|
required |
string |
100 chars |
The action to be performed. The allowed values are:
|
|
required |
string |
128 chars |
The order number of a certificate for which a callback is required. |
|
conditional |
string |
32 chars |
The customer’s new phone number. This parameter is required for the action |
|
conditional |
string |
255 chars |
The customer’s new email address. This parameter is required for action |
|
conditional |
string |
30 chars |
The date and time for a callback. The format must be This parameter is required for the |
|
optional |
string |
5 chars |
The extension number for the callback. This parameter is only for the |
|
optional |
string |
5 chars |
The language for the callback. The supported values are:
If not specified, the value is default to |
|
optional |
string |
2000 chars |
Some comments for the Sectigo Support team. This parameter is only for the |
Sample request
curl --location 'https://secure.trust-provider.com/products/!UpdateUserOvCallback' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'action=ScheduledCallback' \
--data-urlencode 'orderNumber=order_number' \
--data-urlencode 'preferredTimeUTC=2024-02-02 13:03'
Response
The request is successful when the server returns a response with the error code 0.
Any errorCode less than 0 indicates an error condition and the errorMessage provides more details.
The response is formatted in x-www-form-urlencoded format.
Response parameters
The response may contain the following parameters:
| Parameter | Description |
|---|---|
|
The numeric code indicating the result of the request. For more information, see Error codes. |
|
The explanation of the error. |
|
The result of the action. The possible values:
|
Error codes
The following table outlines error responses returned by the UpdateUserOvCallback API endpoint.
Each error response consists of an errorCode and an errorMessage indicating why the request failed.
| Error Code | Error Message | Description |
|---|---|---|
|
|
The request must use HTTPS protocol. |
|
|
The provided argument is not recognized. |
|
|
The required argument is missing from the request. |
|
|
The argument value does not meet validation requirements. |
|
|
An unknown error occurred. |
|
|
The request has failed due to authentication issues. |
|
|
The request method should be |
|
|
The error is specific to the action being performed. The error message varies based on the action. |